> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/release-notes.md).

# Release Notes

### Jul 8, 2025

#### `DocumentDetector 16.4.1`

**Updates**

* Xcode build version update from `16.2` to `16.4`.

### Jun 30, 2025

#### `DocumentDetector 16.4.0`

**Updates**

* We started the deprecation process for standalone modules, please migrate to [CafSDK](/caf-sdk/ios/getting-started-with-the-sdk-2.md)

### April 29, 2025

#### `DocumentDetector 16.0.3`

**Fixes**

* Adjustments and improvements to the document upload flow.

### April 4, 2025

#### `DocumentDetector 16.0.2`

**Fixes**

* Adjustments and improvements to the enableMultiLanguage section.

### April 4, 2025

#### `DocumentDetector 16.0.1`

**Fixes**

* Removes the `.enableMultiLanguage()` method and includes the `enableMultiLanguage` parameter at the Builder method, setting `true` by default

## March 31, 2025

### `DocumentDetector 15.1.0`

#### Updates

* Implementation of a new analytics route

## December 03, 2024

### `DocumentDetector 15.0.3`

#### Updates

* Analytics Improvement
* Dependency on CafSolutions `1.0.1`

## December 02, 2024

### `DocumentDetector 15.0.2`

#### Fixes

* Fix height dialog for custom image in upload flow
* Adding custom background color
* Fix setter messages

## October 22, 2024

### `SPM DocumentDetector 15.0.1` and `SPM FaceLiveness 6.0.1`

#### Fixes

* Using multiple SPM imports with the `CafSolutions` dependency resulted in an error, these new versions are compatible in the same project

## September 26, 2024

### `DocumentDetector 15.0.0`

#### Breaking Changes

* Changing from `TensorFlowLiteSwift` to `TensorFlowLiteC`

#### Updates

* Distributing on [SPM](https://github.com/combateafraude/DocumentDetector) `Swift Package Manager`

## September 5th, 2024

### `DocumentDetector 14.0.0`

#### Breaking Changes

* Updated public models to unify Caf Products

#### Updates

* iOS minimum deployment target changed from `12.0` to `13.0`
* Improved Analytics
* New **CafSolutions** module dependency

## August 7th, 2024

### `DocumentDetector 13.0.0`

#### Highlights

* Improve memory management throughout the SDK utilization.
* Improve analytics.

#### Fixes

* Fix manual capture feature for devices running iOS versions below 13.

## July 19th, 2024

### `DocumentDetector 12.0.0`

#### Highlights

* Due to depletion of RAM usage issues on older devices, we have enforced the use of manual capture in the document capture flow for devices older than the iPhone X.

#### Fixes

* Fix thread issues on API provider.

#### Breaking changes

* The `.setOverlay(overlay: DocumentOverlayView)` options has been removed. This method previously allowed the full customization of the document capture view. You can still customize the layout using the `.setLayout(layout: DocumentDetectorLayout)` option, which provides predefined parameters.

## June 18th, 2024

### `DocumentDetector 11.0.0-swift-5.9.2`

#### Highlights

* Generating a version for `Swift 5.9.2` compilers

## June 6th, 2024

### `DocumentDetector 11.0.0`

#### Breaking changes

* Renaming most public classes, adding the prefix `Caf` to prevent naming duplicity errors.

## May 7th, 2024

### `DocumentDetector 10.0.0`

#### Breaking changes

* Renaming public class `Label` to `CafLabel` to avoid duplicated name issues.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
